Subject: [alpine-devel] Alpine Linux v3.8 on PI 3B+ - sleep() hangs

From: casiobearing <[email-masked]>
Date: Tue, 24 Jul 2018 14:01:16 +0000

Hi,

I seem to be having a problem with sleep() hanging. I've tried a minimal simple C program (I'm using Netbeans 8.2, remotely compiling on the PI via GCC etc...) with just a few lines in it.

Am I missing something obvious (I assume sleep() uses SIGALRM, which i further assume is enabled by default in a minimal C program).

It hangs under debugging, or direct execution. Everything is running as root.

Thanks

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---